pydo.databases.get_eviction_policy()

Generated on 4 Jun 2026 from pydo version v0.35.0

Usage

client.databases.get_eviction_policy(
    database_cluster_uuid="9cc10173-e9ea-4176-9dbc-a4cee4c4ff30",
)
Returns JSONRaises HttpResponseError

Description

To retrieve the configured eviction policy for an existing Caching or Valkey cluster, send a GET request to /v2/databases/{database_cluster_uuid}/eviction_policy. The response will be a JSON object with an eviction_policy key. This will be set to a string representing the eviction policy.

Parameters

database_cluster_uuid string required

A unique identifier for a database cluster.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

get_resp = client.databases.get_eviction_policy(database_cluster_uuid="a7aa89a")

Response Example

Show Response Example
{
  "eviction_policy": "allkeys_lru"
}

More Information

See /v2/databases/{database_cluster_uuid}/eviction_policy in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.